/*
 * generated by Xtext 2.22.0
 */
package tdt4250.ra.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import tdt4250.ra.parser.antlr.internal.InternalRaxParser;
import tdt4250.ra.services.RaxGrammarAccess;

public class RaxParser extends AbstractAntlrParser {

	@Inject
	private RaxGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalRaxParser createParser(XtextTokenStream stream) {
		return new InternalRaxParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Department";
	}

	public RaxGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(RaxGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
